site_name: Kubernetes

# theme_dir: 'themes/mkdocs-material/material'
# theme_dir: 'themes/mkdocs-material'

site_author: 'Glenn Y. Rolland'
site_url: 'http://glenux.github.io/teaching-devops-kubernetes'

# copyright: 'Copyright (c) 2016 El Gadjo Ridículo'

repo_name: 'GitHub'
repo_url: 'https://github.com/glenux/teaching-devops-kubernetes'
# site_favicon: 'favicon.ico'

theme:
  language: fr
  # name: 'gitbook'
  # name: 'alabaster'
  # name: 'windmill'
  # name: 'ivory'
  name: 'material'
  palette:
    primary: 'white'
    accent: 'black'
    neutral: 'black'
  feature:
    tabs: false

i18n:
  prev: 'Chapitre précédent'
  next: 'Chapitre suivant'

extra_css: 
  - css/extra.css

extra_javascript: 
  - js/extra.js

#author:
#  github: 'elgadjo'
#  twitter: 'elgadjo'

# Extensions
markdown_extensions:
  - footnotes
  - admonition
  - toc:
      permalink: '#'
  - codehilite:
      guess_lang: false
  - mdx_truly_sane_lists  # pip install mdx_truly_sane_lists
  - pymdownx.emoji: # pip install pymdown-extensions
      emoji_generator: !!python/name:pymdownx.emoji.to_svg
  - pymdownx.superfences: # pip install pymdown-extensions

extra:
  search:
    language: 'fr, en'

# run the following line to update toc
# pipenv run ./script/update-toc

# BEGIN MKDOCS-TOC
nav:
  - "Préambule":
    - 000-attic-preambule/010-histoire.md
    - 000-attic-preambule/020-rappels-docker.md
    - 000-attic-preambule/030-limites-docker.md
  - "Rappels sur Docker":
    - 000-attic-using-docker/010-dockerfile.md
    - 000-attic-using-docker/020-build.md
    - 000-attic-using-docker/030-run.md
    - 000-attic-using-docker/040-registry.md
  - "Introduction":
    - 010-about-kubernetes/010-kubernetes.md
    - 010-about-kubernetes/010-privitives-concepts.md
    - 010-about-kubernetes/020-yaml-syntax.md
    - 010-about-kubernetes/030-cli.md
  - "Installation":
    - 020-installing/020-local-minikube.md
    - 020-installing/030-local-kind.md
    - 020-installing/035-local-docker-client.md
    - 020-installing/040-baremetal-kubeadm.md
    - 020-installing/050-baremetal-rancher.md
    - 020-installing/060-baremetal-openshift.md
    - 020-installing/070-baremetal-k3s.md
    - 020-installing/080-cloud-gcp.md
    - 020-installing/090-kubectl.md
  - "Premiers pas":
    - 030-first-steps/005-verif-config.md
    - 030-first-steps/007-first-steps.md
    - 030-first-steps/015-namespace.md
    - 030-first-steps/017-nodes.md
    - 030-first-steps/020-pods.md
    - 030-first-steps/030-services.md
    - 030-first-steps/040-archi.md
  - "Les bases":
    - 050-basics/010-scalability.md
    - 050-basics/020-deployment.md
    - 050-basics/050-volumes.md
    - 050-basics/060-autoscaling.md
    - 050-basics/080-readiness.md
    - 050-basics/090-events.md
    - 050-basics/basics-deployments.md
    - 050-basics/basics-healthchecks.md
    - 050-basics/basics-labels.md
    - 050-basics/basics-node-architecture.md
    - 050-basics/basics-pods-state-lifecycle.md
    - 050-basics/basics-readiness.md
    - 050-basics/basics-scaling-pods.md
    - 050-basics/basics-secrets.md
    - 050-basics/basics-services.md
    - 050-basics/basics-webui.md
  - "Gestion des resources":
    - 060-resources/060-requests-limits.md
    - 060-resources/070-quotas.md
  - "Secrets":
    - 080-secrets/010-intro.md
    - 080-secrets/020-configmap.md
    - 080-secrets/030-secrets.md
    - 080-secrets/040-security.md
  - "Ingress & Egress":
    - 090-ingress-egress/010-ingress.md
    - 090-ingress-egress/020-egress.md
  - "Packages et extensions":
    - 100-packaging/010-helm.md
    - 100-packaging/020-creating-helm-chars.md
    - 100-packaging/030-help-repository.md
    - 100-packaging/040-building-deploying.md
    - 100-packaging/050-fission.md
  - "Monitoring":
    - 800-monitoring/010-dashboard.md
    - 800-monitoring/020-prometheus.md
    - 800-monitoring/030-logs.md
  - "Bonnes pratiques":
    - 900-good-practices/010-arbo.md
    - 900-good-practices/020-ci-cd.md
    - 900-good-practices/025-development.md
    - 900-good-practices/030-score.md
    - 900-good-practices/040-troubleshooting.md
    - 900-good-practices/060-other-tools.md
    - 900-good-practices/090-pdb.md
  - "999-3rd-party":
    - 999-3rd-party/introduction-to-orchestration.md
  - "999-other":
    - 999-other/admin-high-availability.md
    - 999-other/admin-master-services.md
    - 999-other/admin-namespaces.md
    - 999-other/admin-networking.md
    - 999-other/admin-node-maintenance.md
    - 999-other/admin-quotas-limits.md
    - 999-other/admin-rbac.md
    - 999-other/admin-tls-on-elb.md
    - 999-other/admin-user-management.md
    - 999-other/adv-auto-discovery.md
    - 999-other/adv-autoscaling.md
    - 999-other/adv-configmap.md
    - 999-other/adv-daemon-sets.md
    - 999-other/adv-ext-dns.md
    - 999-other/adv-ingress.md
    - 999-other/adv-interpod-anti-affinity.md
    - 999-other/adv-monitoring.md
    - 999-other/adv-node-affinity.md
    - 999-other/adv-operators.md
    - 999-other/adv-pod-presets.md
    - 999-other/adv-stateful-sets.md
    - 999-other/adv-taints-tolerations.md
    - 999-other/adv-volumes.md
    - 999-other/extra-kubeadm.md
    - 999-other/extra-tls-cert-manager.md
    - 999-other/intro-build-container-image.md
    - 999-other/intro-build-container.md
    - 999-other/intro-cluster-setup.md
    - 999-other/intro-run-first-app.md
    - 999-other/kops.md
    - 999-other/other.md
    - 999-other/pimp-k9s.md
    - 999-other/pimp-tubekit.md
# END MKDOCS-TOC


